# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sge_ui"
version = "1.0.1"
authors = ["Lily Lopes <joshrl@proton.me>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "UI library for SGE"
readme = false
license = "MIT"
repository = "https://github.com/LilyRL/sge"

[lib]
name = "sge_ui"
path = "src/lib.rs"

[dependencies.bon]
version = "3.8.1"

[dependencies.glium]
version = "0.36.0"

[dependencies.log]
version = "0.4.28"

[dependencies.sge_api]
version = "1.0.0"

[dependencies.sge_color]
version = "1.0.0"

[dependencies.sge_global]
version = "1.0.0"

[dependencies.sge_input]
version = "1.0.0"

[dependencies.sge_macros]
version = "1.0.0"

[dependencies.sge_math]
version = "1.0.0"

[dependencies.sge_rendering]
version = "1.0.0"

[dependencies.sge_rng]
version = "1.0.0"

[dependencies.sge_shapes]
version = "1.0.0"

[dependencies.sge_text]
version = "1.0.0"
features = ["extra_fonts"]

[dependencies.sge_textures]
version = "1.0.0"

[dependencies.sge_time]
version = "1.0.0"

[dependencies.sge_types]
version = "1.0.0"

[dependencies.sge_utils]
version = "1.0.0"

[dependencies.sge_vectors]
version = "1.0.0"

[dependencies.sge_window]
version = "1.0.0"
